> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List ITSM Users



## OpenAPI

````yaml get /itsm/users
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/users:
    get:
      tags:
        - ITSM
        - Users
      summary: List ITSM Users
      operationId: get_users
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ITSMUserStatus'
              - type: 'null'
            title: Status
        - name: includeUserGroups
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Includeusergroups
        - name: projectId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Projectid
            description: Filter users by project ID
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            examples:
              - '2021-01-01T00:00:00+00:00'
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_Union_ITSMUserRespModel__ITSMUserWithGroupsRespModel__
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    ITSMUserStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - DELETED
      title: ITSMUserStatus
    KeySetPaginatedResponse_Union_ITSMUserRespModel__ITSMUserWithGroupsRespModel__:
      properties:
        items:
          items:
            anyOf:
              - $ref: '#/components/schemas/ITSMUserRespModel'
              - $ref: '#/components/schemas/ITSMUserWithGroupsRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: >-
        KeySetPaginatedResponse[Union[ITSMUserRespModel,
        ITSMUserWithGroupsRespModel]]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ITSMUserRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the User
        name:
          type: string
          title: Name
          description: Name of the User
        email:
          type: string
          title: Email
          description: Email of the User
        status:
          allOf:
            - $ref: '#/components/schemas/ITSMUserStatus'
          description: Status of the User
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMUserVendorAttributes'
          description: Vendor-specific attributes of the User
      type: object
      required:
        - id
        - name
        - email
        - status
        - vendor_attributes
      title: ITSM User
    ITSMUserWithGroupsRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the User
        name:
          type: string
          title: Name
          description: Name of the User
        email:
          type: string
          title: Email
          description: Email of the User
        status:
          allOf:
            - $ref: '#/components/schemas/ITSMUserStatus'
          description: Status of the User
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMUserVendorAttributes'
          description: Vendor-specific attributes of the User
        groups:
          items:
            anyOf:
              - $ref: '#/components/schemas/ScopedITSMGroupRespModel'
              - type: 'null'
          type: array
          title: Groups
          description: Groups the User belongs to
      type: object
      required:
        - id
        - name
        - email
        - status
        - vendor_attributes
        - groups
      title: ITSM User with Groups
    ITSMUserVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's UUID for the User
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the User in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the User in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraUserVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraUserVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the User
      type: object
      required:
        - id
        - vendor
        - created_at
        - updated_at
      title: ITSM User Vendor Attributes
    ScopedITSMGroupRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Group
        name:
          type: string
          title: Name
          description: Name of the Group
        description:
          type: string
          title: Description
          description: Description of the Group
        status:
          type: string
          title: Status
          description: Status of the Group (e.g., ACTIVE, INACTIVE, DELETED)
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMGroupVendorAttributes'
          description: Vendor-specific attributes of the Group
      type: object
      required:
        - id
        - name
        - description
        - status
        - vendor_attributes
      title: ITSM Group
    JiraUserVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        accountType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounttype
      type: object
      title: JiraUserVendorAttributesData
    ITSMGroupVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Group
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Group in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Group in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraGroupVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraGroupVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Group
      type: object
      required:
        - id
        - vendor
      title: ITSM Group Vendor Attributes
    JiraGroupVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
      type: object
      title: JiraGroupVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````